{

    // Aokaku_天赋02

    "AbilityName" : "Aokaku_Talent_02",

    "AbilityStacking":"Unique",



    "DefaultModifier" : 

    {

        "ModifierStacking":"Unique",

        "OnPatternHitOther": 

        [

            {

                "$type" : "MoleMole.RandomOperator",

                "Target" : "Self",

                "Odds" : "%AS_NormalAtkOdds",

                "OnSuccess" : 

                [

                    {

                        "$type":"MoleMole.ApplyModifier",

                        "ModifierName":"Modifier_AddRedLight",

                        "Target":"Self",

                    },

                ],

                "Predicates" :

                [

                    {

                        "$type" : "MoleMole.ByAnimTagList",

                        "TagList" : 

                        [

                            "RedLightOdds_01"

                        ]

                    },

                ],

            },

        ],

    },



    "Modifiers":

    {

        "Modifier_AddRedLight" :

        {

            "ModifierStacking": "Unique",

            "Duration": 1, //内置CD

            "IgnoreTimeScale": false,



            "OnAdded":

            [

                {

                    "$type": "MoleMole.ModifyProperty",

                    "PropertyType": "Custom",

                    "CustomPropertyType": "RedLight",

                    "IsUsePercentage": false,

                    "PropertyModifyFunction": "Add",

                    "Percentage": 0,

                    "Amount": 1,

                },

            ],

        },

    },



    "AbilitySpecials" :

    {

        "AS_NormalAtkOdds" :

        {

            "Value" : 0.15

        },

    },

}